coupang
GET/v2/providers/openapi/apis/api/v1/revenue-history2609170000

Sales Detail Query

# 01

Summary

Sales Detail Query

# 02

Details

Available buyer market: Korean

You can look up details of sales based on the date of sales recognition (date of purchase confirmed or 3 days from delivery completion).

Path

GET/v2/providers/openapi/apis/api/v1/revenue-history

Example endpoint

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v1/revenue-history?vendorId=A00012345&recognitionDateFrom=2019-10-01&recognitionDateTo=2019-10-30&token=&maxPerPage=

URL API Name

GET_REVENUE_HISTORY
# 03

Query parameters

NameTypeDescription
vendorId*string
Seller ID;

Unique code issued by Coupang to a seller

Example) A00012345
recognitionDateFrom*string
Start date of sales recognition;
Up to 31 days;
Format: YYYY-MM-dd
recognitionDateTo*string
End date of sales recognition;
Up to 31 days;
Format: YYYY-MM-dd
token*string
Token value for the next page query;
Token value to call the next page
(To look up the first page, enter 'token=' only)
maxPerPagenumber
Maximum number to call per page
Default: 50; Minimum: 1; Maximum: 50
# 04

Response body

Response message

NameTypeDescription
codeinteger
Server response code
messagestring
detail info
dataobject[]
Result list;
An empty list is returned when there is no result.
orderId
data[].orderId
integer
Order number
saleType
data[].saleType
string
Status type
Status Description
SALE Order
REFUND Return
saleDate
data[].saleDate
string
Date of payment completion
Format: YYYY-MM-dd
recognitionDate
data[].recognitionDate
string
Date of sales recognition
Format: YYYY-MM-dd
'Delivery completed + 7 days' or 'purchase confirmation'
settlementDate
data[].settlementDate
string
Estimated date of settlement
Format: YYYY-MM-dd
finalSettlementDate
data[].finalSettlementDate
string
Estimated date of final settlement
Format: YYYY-MM-dd
Used only for weekly settlement
deliveryFee
data[].deliveryFee
object
Detailed information on shipping fee
amount
data[].deliveryFee.amount
integer
Total shipping fee
Total shipping fee: Standard shipping fee + shipping fee for remote areas
fee
data[].deliveryFee.fee
integer
Surcharge on total shipping fee
feeVat
data[].deliveryFee.feeVat
integer
VAT on total shipping fee
feeRatio
data[].deliveryFee.feeRatio
integer
Surcharge rate for shipping fee (%)
settlementAmount
data[].deliveryFee.settlementAmount
integer
Estimated settlement amount for shipping fee
Estimated settlement amount: Total shipping fee - surcharge on shipping fee - VAT on shipping fee
baseAmount
data[].deliveryFee.baseAmount
integer
Standard shipping fee
baseFee
data[].deliveryFee.baseFee
integer
Surcharge on standard shipping fee
baseFeeVat
data[].deliveryFee.baseFeeVat
integer
VAT on standard shipping fee
remoteAmount
data[].deliveryFee.remoteAmount
integer
Shipping fee for remote areas
remoteFee
data[].deliveryFee.remoteFee
integer
Surcharge on shipping fee for remote areas
remoteFeeVat
data[].deliveryFee.remoteFeeVat
integer
VAT on shipping fee for remote areas
items
data[].items
object[]
Details of settlement amount for each order item
taxType
data[].items[].taxType
string
Tax type
productId
data[].items[].productId
integer
Exposed product ID
This ID may be changed anytime (e.g., merge or scatter) and cannot be used as key for reconciliation in settlement.
productName
data[].items[].productName
string
Exposed product name
vendorItemId
data[].items[].vendorItemId
integer
Option ID;
The smallest unit of product on Coupang (Unit used for product modification, return, etc.).
This ID cannot be changed. Because it is the smallest unit, it is used as key.
vendorItemName
data[].items[].vendorItemName
string
Option name
salePrice
data[].items[].salePrice
integer
Total sales price;
Total sales price reflecting quantity
quantity
data[].items[].quantity
integer
Quantity
coupangDiscountCoupon
data[].items[].coupangDiscountCoupon
integer
Amount of discount supported by Coupang
discountCouponPolicyAgreement
data[].items[].discountCouponPolicyAgreement
boolean
Agree/disagree to discount coupon supported by Coupang
saleAmount
data[].items[].saleAmount
integer
Amount of sales;
Amount of sales = Sales - discount supported by Coupang
sellerDiscountCoupon
data[].items[].sellerDiscountCoupon
integer
Seller discount coupon
downloadableCoupon
data[].items[].downloadableCoupon
integer
Downloadable coupon
serviceFee
data[].items[].serviceFee
integer
Service fee
serviceFeeVat
data[].items[].serviceFeeVat
integer
VAT on service fee
serviceFeeRatio
data[].items[].serviceFeeRatio
number
Service fee rate (%, VAT excluded)
settlementAmount
data[].items[].settlementAmount
integer
Amount of settlement
Amount of settlement = Amount of sales - (service fee + VAT on service use)
couranteeFeeRatio
data[].items[].couranteeFeeRatio
integer
Courantee fee rate (%)
couranteeFee
data[].items[].couranteeFee
integer
Courantee fee (amount)
couranteeFeeVat
data[].items[].couranteeFeeVat
integer
VAT on Courantee fee
externalSellerSkuCode
data[].items[].externalSellerSkuCode
string
Seller product management code
storeFeeDiscount
data[].items[].storeFeeDiscount
integer
Discount amount for seller store fee
storeFeeDiscountVat
data[].items[].storeFeeDiscountVat
integer
VAT on seller store fee
hasNextboolean
Presence of data in the next page
nextTokenstring
Token value for the next page query

Response Example

{
  "code": 200,
  "message": "OK",
  "data": [
    {
      "orderId": 28000048862315,
      "saleType": "REFUND",
      "saleDate": "2019-09-06",
      "recognitionDate": "2019-10-02",
      "settlementDate": "2019-11-21",
      "finalSettlementDate": "2019-11-21",
      "deliveryFee": {
        "amount": 0,
        "fee": 0,
        "feeVat": 0,
        "feeRatio": 3,
        "settlementAmount": 0,
        "baseAmount": 0,
        "baseFee": 0,
        "baseFeeVat": 0,
        "remoteAmount": 0,
        "remoteFee": 0,
        "remoteFeeVat": 0
      },
      "items": [
        {
          "taxType": "TAX",
          "productId": 294693352,
          "productName": "gtest 테스트 비정품잉크",
          "vendorItemId": 5307184135,
          "vendorItemName": "gtest 테스트 비정품잉크, 1개, 블랙",
          "salePrice": 300,
          "quantity": 2,
          "coupangDiscountCoupon": 0,
          "discountCouponPolicyAgreement": false,
          "saleAmount": 300,
          "sellerDiscountCoupon": 0,
          "downloadableCoupon": 0,
          "serviceFee": 22,
          "serviceFeeVat": 2,
          "serviceFeeRatio": 7,
          "settlementAmount": 276,
          "couranteeFeeRatio": 0,
          "couranteeFee": 0,
          "couranteeFeeVat": 0,
          "storeFeeDiscountVat": 0,
          "storeFeeDiscount": 0,
          "externalSellerSkuCode": ""
        },
        {
          "taxType": "TAX",
          "productId": 294692050,
          "productName": "gtest 테스트 훈제란",
          "vendorItemId": 5307179471,
          "vendorItemName": "gtest 테스트 훈제란, 1개, 500g",
          "salePrice": 100,
          "quantity": 1,
          "coupangDiscountCoupon": 0,
          "discountCouponPolicyAgreement": false,
          "saleAmount": 100,
          "sellerDiscountCoupon": 0,
          "downloadableCoupon": 0,
          "serviceFee": 10,
          "serviceFeeVat": 1,
          "serviceFeeRatio": 10,
          "settlementAmount": 89,
          "couranteeFeeRatio": 0,
          "couranteeFee": 0,
          "couranteeFeeVat": 0,
          "storeFeeDiscountVat": 0,
          "storeFeeDiscount": 0,
          "externalSellerSkuCode": ""
        }
      ]
    },
    {
      "orderId": 2000050175528,
      "saleType": "SALE",
      "saleDate": "2019-09-26",
      "recognitionDate": "2019-10-03",
      "settlementDate": "2019-11-21",
      "finalSettlementDate": "2019-11-21",
      "deliveryFee": {
        "amount": 0,
        "fee": 0,
        "feeVat": 0,
        "feeRatio": 3,
        "settlementAmount": 0,
        "baseAmount": 0,
        "baseFee": 0,
        "baseFeeVat": 0,
        "remoteAmount": 0,
        "remoteFee": 0,
        "remoteFeeVat": 0
      },
      "items": [
        {
          "taxType": "TAX",
          "productId": 290865426,
          "productName": "쁘띠드엔 ㅇㅇ",
          "vendorItemId": 5291775079,
          "vendorItemName": "쁘띠드엔 ㅇㅇ, 남아, L(7호)",
          "salePrice": 200,
          "quantity": 1,
          "coupangDiscountCoupon": 0,
          "discountCouponPolicyAgreement": false,
          "saleAmount": 200,
          "sellerDiscountCoupon": 0,
          "downloadableCoupon": 0,
          "serviceFee": 21,
          "serviceFeeVat": 2,
          "serviceFeeRatio": 10.5,
          "settlementAmount": 177,
          "couranteeFeeRatio": 0,
          "couranteeFee": 0,
          "couranteeFeeVat": 0,
          "storeFeeDiscountVat": 0,
          "storeFeeDiscount": 0,
          "externalSellerSkuCode": ""
        }
      ]
    },
    {
      "orderId": 0,
      "saleType": "SALE",
      "saleDate": "2019-10-31",
      "recognitionDate": "2019-10-31",
      "settlementDate": "2019-11-21",
      "finalSettlementDate": "2019-11-21",
      "deliveryFee": {
        "amount": 0,
        "fee": 0,
        "feeVat": 0,
        "feeRatio": 3,
        "settlementAmount": 0,
        "baseAmount": 0,
        "baseFee": 0,
        "baseFeeVat": 0,
        "remoteAmount": 0,
        "remoteFee": 0,
        "remoteFeeVat": 0
      },
      "items": [
        {
          "taxType": "",
          "productId": 0,
          "productName": "",
          "vendorItemId": 0,
          "vendorItemName": "",
          "salePrice": 0,
          "quantity": 0,
          "coupangDiscountCoupon": 0,
          "discountCouponPolicyAgreement": false,
          "saleAmount": 0,
          "sellerDiscountCoupon": 0,
          "downloadableCoupon": 0,
          "serviceFee": 0,
          "serviceFeeVat": 0,
          "serviceFeeRatio": null,
          "settlementAmount": 0,
          "couranteeFeeRatio": 0,
          "couranteeFee": 0,
          "couranteeFeeVat": 0,
          "storeFeeDiscountVat": 0,
          "storeFeeDiscount": 0,
          "externalSellerSkuCode": ""
        }
      ]
    }
  ],
  "hasNext": false,
  "nextToken": ""
}
# 05

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400 (Check Request Parameter)

The request is invalid: dateTo: You can only search for the previous day. User input = 2024-08-01

Check if you entered only the previous day's date in recognitionDateTo.

400400 (Check Request Parameter)

The request is invalid: dateFrom, dateTo: You can only search for the range within 1 month. User input = 2024-06-27, 2024-07-27

Check if you entered a date within a month.

400400 (Check Request Parameter)

Required String parameter 'vendorId' is not present

Make sure that the 'vendorId' value is correct.

400400 (Check Request Parameter)

The request is invalid: recognitionDateFrom: Invalid format. Use the format: 'yyyy-MM-dd'. (Example) '2011-12-03' User input = ****

Make sure that the 'recognitionDateFrom' value is correct.

400400 (Check Request Parameter)

The request is invalid: recognitionDateTo: Invalid format. Use the format: 'yyyy-MM-dd'. (Example) '2011-12-03' User input = ****

Make sure that the 'recognitionDateTo' value is correct.

400400 (Check Request Parameter)

Required String parameter 'token' is not present

Make sure that the token value is correct.

400400 (Check Request Parameter)

The request is invalid: token: Invalid format. Leave it blank when you call the first page. From the second page and onward, use the 'nextToken' value included in the previous page response. User input value = *

Make sure that the token value is correct.